• Русский
  • Description
    Domain is the Schema for the domains API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject
    statusobject

    .spec

    Type
    object
    PropertyTypeDescription
    namespacesarray
    domainstring
    clusterstring

    .spec.namespaces

    Type
    array

    .spec.namespaces[]

    Type
    object
    PropertyTypeDescription
    namespacestring

    .status

    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/domains
      • DELETE: delete collection of Domain
      • GET: list objects of kind Domain
      • POST: create a new Domain
    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/domains/{name}
      • DELETE: delete the specified Domain
      • GET: read the specified Domain
      • PATCH: partially update the specified Domain
      • PUT: replace the specified Domain
    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/domains/{name}/status
      • GET: read status of the specified Domain
      • PATCH: partially update status of the specified Domain
      • PUT: replace status of the specified Domain

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/domains

    HTTP method
    DELETE
    Description
    delete collection of Domain
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind Domain
    HTTP responses
    HTTP codeResponse body
    200 - OKDomainList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new Domain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDomain schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDomain schema
    201 - CreatedDomain schema
    202 - AcceptedDomain schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/domains/{name}

    HTTP method
    DELETE
    Description
    delete the specified Domain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified Domain
    HTTP responses
    HTTP codeResponse body
    200 - OKDomain schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified Domain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKDomain schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified Domain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDomain schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDomain schema
    201 - CreatedDomain schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/domains/{name}/status

    HTTP method
    GET
    Description
    read status of the specified Domain
    HTTP responses
    HTTP codeResponse body
    200 - OKDomain schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified Domain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKDomain schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified Domain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDomain schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDomain schema
    201 - CreatedDomain schema
    401 - UnauthorizedEmpty